Skip to main content

Update an appointment by the booking system's appointment id

PUT 

/rest/resourceappointment/:appointmentId

Update an appointment by the booking system's appointment id. A customer is considered to be a new customer if not all four fields (firstName, lastName, email and phone) match an existing customer on the appointment.

Example:

curl -i -u user:password -X PUT -H 'content-type:application/json' -d '{
"startTime":"2020-09-25T15:30:00.000Z",
"endTime":"2020-09-25T16:30:00.000Z",
"branchId":1,
"title":"Appointment title",
"notes":"Appointment notes",
"customers":[{"firstName": "Olle","lastName": "Olsson","email": "olle@home.com","phone": "+123456789", "dateOfBirth":"1946-04-30"}}],
"services":[{"orchestraId": 1,
"primaryResource": {"identifier": "doktordoktor", "displayName": "Doktor Doktor",
"category": "STAFF", "resourceType": {"description": "Doktor", "translations":
[{"language": "it","description": "Il Doktore"}, {"language": "en","description": "Doctor"}]
}},
"secondaryResources": [{"displayName": "Doktorns rum","category": "ROOM",
"resourceType": {"description": "Intervju",
"translations": [{"language": "it","description": "colloquio"},
{"language": "en","description": "Interview"}]}}]
}]}'
'http://orchestra-host:orchestra-port/qsystem/rest/resourceappointment/{appointmentId}'

Request​

Responses​

A Json object of ResourceAppointmentOutput